## Class GoTournaments.AdminException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              GoTournaments.AdminException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  GoTournaments

    private class GoTournaments.AdminException

extends java.lang.Exception

An exception thrown when the user isn't logged in but the request requires administrator privileges.

Field Summary
`private static long` `serialVersionUID` UID for serialization

Constructor Summary
`private` `GoTournaments.AdminException()`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  UID for serialization

  See Also:
    Constant Field Values

Constructor Detail

### GoTournaments.AdminException

    private GoTournaments.AdminException()